<script>
	import { PUBLIC_APPLICATION_NAME } from '$env/static/public';
	import NewWindowIcon from '$lib/icons/arrow-up-right-from-square.svelte';

	const stackItems = [
		{ url: 'https://svelte.dev/', name: 'Svelte' },
		{ url: 'https://kit.svelte.dev/', name: 'SvelteKit' },
		{ url: 'https://tailwindcss.com/', name: 'Tailwind' },
		{ url: 'https://picocss.com/', name: 'PicoCss' }
	];
</script>

<svelte:head>
	<title>Home</title>
</svelte:head>

<h1 class="text-center text-3xl font-semibold my-6">Welcome to {PUBLIC_APPLICATION_NAME}</h1>

<p>Simple example application using:</p>
<ul class="mt-4">
	{#each stackItems as item}
		<li>
			<a href={item.url} target="_blank" class="inline-flex items-center hover:text-slate-400"
				>{item.name} <span class="ml-2 text-sm"><NewWindowIcon /></span></a
			>
		</li>
	{/each}
</ul>
